summaryrefslogtreecommitdiffabout
authorLars Hjemli <hjemli@gmail.com>2008-12-06 11:05:21 (UTC)
committer Lars Hjemli <hjemli@gmail.com>2008-12-06 11:05:21 (UTC)
commit11456a60deab19f5e3a1d191bdf48adfba9195e4 (patch) (side-by-side diff)
treed01ffde482a60e753bb32e6568c92c6b3e5a852b
parent3c32fe07717f27fc891b66ccd06057fb810d03ad (diff)
parentb6faa78091a1340b73e291f1f87604f246d3f391 (diff)
downloadcgit-11456a60deab19f5e3a1d191bdf48adfba9195e4.zip
cgit-11456a60deab19f5e3a1d191bdf48adfba9195e4.tar.gz
cgit-11456a60deab19f5e3a1d191bdf48adfba9195e4.tar.bz2
Merge branch 'stable'
Diffstat (more/less context) (show whitespace changes)
-rwxr-xr-xtests/setup.sh2
-rwxr-xr-xtests/t0010-validate-html.sh9
2 files changed, 9 insertions, 2 deletions
diff --git a/tests/setup.sh b/tests/setup.sh
index 95acb54..30f90d5 100755
--- a/tests/setup.sh
+++ b/tests/setup.sh
@@ -115,3 +115,3 @@ run_test()
else
- ((test_failed++))
+ test_failed=$(expr $test_failed + 1)
printf " %2d) %-60s [failed]\n" $test_count "$desc"
diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index 94aa52b..3fe4800 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -11,3 +11,3 @@ test_url()
sed -ie "1,4d" trash/tidy-$test_count || return
- tidy $tidy_opt trash/tidy-$test_count
+ "$tidy" $tidy_opt trash/tidy-$test_count
rc=$?
@@ -25,2 +25,9 @@ prepare_tests 'Validate html with tidy'
+tidy=`which tidy`
+test -n "$tidy" || {
+ echo "Skipping tests: tidy not found"
+ tests_done
+ exit
+}
+
run_test 'index page' 'test_url ""'